/*  Copyright (C) 2010  Faculdade de Ciências e Tecnologia
 *                      Universidade Nova de Lisboa
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package pt.unl.fct.di.jtraceview.trace;

public class EventId {
	private String id;
	
	public EventId(String id) {
		this.id = id;
	}
	
	public static final EventId TX_START = new EventId("tx_start");
	public static final EventId TX_COMMIT = new EventId("tx_commit");
	public static final EventId TX_ABORT = new EventId("tx_abort");
	public static final EventId TX_READ = new EventId("tx_read");
	public static final EventId TX_WRITE = new EventId("tx_write");
	
	public String toString() {
		return id;
	}
	
	public static EventId getId(byte code) {
		switch(code) {
		case 1: return TX_START;
		case 2: return TX_COMMIT;
		case 3: return TX_ABORT;
		case 4: return TX_READ;
		case 5: return TX_WRITE;
		}
		return null;
	}
	
	public boolean equal(String eventId) {
		return this.id.compareTo(eventId) == 0;
	}
	
}
