/*  Copyright (C) 2010  Faculdade de Ciências e Tecnologia
 *                      Universidade Nova de Lisboa
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package pt.unl.fct.di.jtraceview.view.tools.component;

import java.util.ArrayList;
import java.util.Hashtable;
import java.util.List;

import javax.swing.event.ChangeListener;

public interface JThreadSequenceModel {
	public static class Thread {
		private String id;
		private List<TimeSlice> slices;
		
		public Thread(String id) {
			slices = new ArrayList<TimeSlice>();
			this.id = id;
		}
		
		public void addTimeSlice(TimeSlice ts) {
			slices.add(ts);
		}
		
		public List<TimeSlice> getSlices() {
			return slices;
		}
		
		public String getId() {
			return id;
		}
	}
	
	public static class TimeSlice {
		public long start;
		public long end;
		public String id;
		
		public Hashtable<String,Object> userData;
		
		public TimeSlice(String id, long start, long end) {
			this.id = id;
			this.start = start;
			this.end = end;
			userData = new Hashtable<String,Object>();
		}
		
		public String toString() {
			return "[Start: "+start+" End: "+end+" Id: "+id+"]";
		}
	}
	
	public List<Thread> getThreads();
	public void addThread(Thread t);
	public int getThreadCount();
	public void addChangeListener(ChangeListener listener);
	void removeChangeListener(ChangeListener listener);
}
