/*  Copyright (C) 2010  Faculdade de Ciências e Tecnologia
 *                      Universidade Nova de Lisboa
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package pt.unl.fct.di.jtraceview.view.tree;

import pt.unl.fct.di.jtraceview.trace.TraceFileReader;
import pt.unl.fct.di.jtraceview.plugins.sequences.ThreadSequence;
import pt.unl.fct.di.jtraceview.plugins.sequences.ThreadTransactionSequence;
import pt.unl.fct.di.jtraceview.view.tools.component.JThreadSequenceModel;

@SuppressWarnings("serial")
public class TestTreeItem extends SequenceTreeItem {

	private static final String title = "Test Chart";

	private ThreadSequence sequence;
	
	public TestTreeItem() {
		super(title);
	}


	@Override
	public JThreadSequenceModel getSequence(TraceFileReader traceFile) {
		sequence = new ThreadTransactionSequence();
		sequence.init(traceFile);
		return sequence.getModel();
	}

	

}