/*  Copyright (C) 2010  Faculdade de Ciências e Tecnologia
 *                      Universidade Nova de Lisboa
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package pt.unl.fct.di.jtraceview.view.tree;

import java.util.ArrayList;

import org.jfree.chart.JFreeChart;

import pt.unl.fct.di.jtraceview.plugins.charts.MultipleChartType;
import pt.unl.fct.di.jtraceview.plugins.charts.TransactionIdChart;
import pt.unl.fct.di.jtraceview.trace.TraceFileReader;

@SuppressWarnings("serial")
public class TransactionIdTreeItem extends MultipleChartTreeItem {

	private static final String title = "Transaction ID";
	
	private MultipleChartType charts;
	
	public TransactionIdTreeItem() {
		super(title);
		charts = null;
	}

	@Override
	public ArrayList<JFreeChart> getBaseCharts(TraceFileReader traceFile) {
		charts = new TransactionIdChart();
		charts.init(traceFile);
		return charts.getCharts();
	}

}
